=== plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(generic)
ADD_SUBDIRECTORY(skrooge)
ADD_SUBDIRECTORY(import)
ADD_SUBDIRECTORY(applet)
ADD_SUBDIRECTORY(krunner)
