=== skgbankgui/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKGUI ::..")

PROJECT(SKGBANKGUI)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BINARY_DIR}/skgbasegui
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbankgui_SRCS
   skgobjectmodel.cpp
   skgquerycreatordesignerplugin.cpp
   skgquerycreator.cpp
   skgpropertyeditor.cpp
   skgprocesscreator.cpp
   skgbkwidgetcollectiondesignerplugin.cpp
   skgpredicatcreator.cpp
   skgpredicatcreatordesignerplugin.cpp
   skgquerydelegate.cpp
   skgunitcombobox.cpp
   skgunitcomboboxdesignerplugin.cpp
 )

kde4_add_ui_files(skgbankgui_SRCS skgquerycreator.ui skgpropertyeditor.ui skgprocesscreator.ui)

KDE4_ADD_LIBRARY(skgbankgui SHARED ${skgbankgui_SRCS})

TARGET_LINK_LIBRARIES(skgbankgui ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} skgbankmodeler skgbasemodeler skgbasegui)
SET_TARGET_PROPERTIES( skgbankgui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbankgui ${INSTALL_TARGETS_DEFAULT_ARGS}  )
IF(SKG_BUILD_TEST)
  IF(WIN32)
    INSTALL(TARGETS skgbankgui LIBRARY ARCHIVE DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
  ELSE(WIN32)
    INSTALL(TARGETS skgbankgui LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
  ENDIF(WIN32)
ENDIF(SKG_BUILD_TEST)  
kde4_install_icons(${ICON_INSTALL_DIR})
