=== skgbasemodeler/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBASEMODELER ::..")

PROJECT(SKGBASEMODELER)

FIND_PACKAGE(Grantlee) 
if( NOT Grantlee_FOUND  )
  message(FATAL_ERROR "Package Grantlee required, but not found!")
else( NOT Grantlee_FOUND )
  message(STATUS "Package Grantlee found!")
endif( NOT Grantlee_FOUND )

SET(GRANTLEE_VERSION ${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR}.${Grantlee_VERSION_PATCH})
MESSAGE( STATUS "     GRANTLEE VERSION      : " ${GRANTLEE_VERSION})

if(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
    MESSAGE( STATUS "     enable GRANTLEE 0.1.4 API")
else(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
    MESSAGE( STATUS "     enable GRANTLEE 0.1.7 API")
    add_definitions(-DSKGGRANTLEE17ENABLED=Y)
endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

FIND_PACKAGE(QCA2)
if( NOT QCA2_FOUND  )
  message(FATAL_ERROR "Package QCA2 required, but not found!")
else( NOT QCA2_FOUND )
  message(STATUS "Package QCA2 found!")
endif( NOT QCA2_FOUND )

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${QT_QTSQL_INCLUDE_DIR} ${Grantlee_INCLUDE_DIRS})

SET(skgbasemodeler_SRCS
   skgobjectbase.cpp
   skgnamedobject.cpp
   skgnodeobject.cpp
   skgpropertyobject.cpp
   skgdocument.cpp
   skgtransactionmng.cpp
   skgservices.cpp
   skgerror.cpp
   skgtraces.cpp
   skgadvice.cpp
   skgreport.cpp   
 )

#build a shared library
KDE4_ADD_LIBRARY(skgbasemodeler SHARED ${skgbasemodeler_SRCS})

#need to link to some other libraries ? just add them here
SET_TARGET_PROPERTIES(skgbasemodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
TARGET_LINK_LIBRARIES(skgbasemodeler ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTSQL_LIBRARY}  ${QT_QTSCRIPT_LIBRARY} ${QT_QTXML_LIBRARY} ${QCA2_LIBRARIES} ${Grantlee_CORE_LIBRARIES})

########### install files ###############
INSTALL(TARGETS skgbasemodeler ${INSTALL_TARGETS_DEFAULT_ARGS} )
