=== skrooge/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKROOGE ::..")

PROJECT(SKROOGE)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_SRCS
   main.cpp
 )
KDE4_ADD_APP_ICON(skrooge_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-apps-skrooge.png")

KDE4_ADD_EXECUTABLE(skrooge ${skrooge_SRCS})

TARGET_LINK_LIBRARIES(skrooge ${KDE4_KDEUI_LIBS} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)


########### install files ###############
INSTALL(TARGETS skrooge ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL(PROGRAMS skrooge.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
INSTALL(DIRECTORY theme DESTINATION ${DATA_INSTALL_DIR}/skrooge FILES_MATCHING PATTERN "*.css"
PATTERN ".svn" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "Testing" EXCLUDE)
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge )
kde4_install_icons( ${ICON_INSTALL_DIR}   )
if (NOT SHARED_MIME_INFO_MINIMUM_VERSION)
  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
endif (NOT SHARED_MIME_INFO_MINIMUM_VERSION)

find_package(SharedMimeInfo REQUIRED)

install(FILES x-skg.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
