=== skroogeconvert/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKROOGECONVERT ::..")

PROJECT(SKROOGECONVERT)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skroogeconvert_SRCS
   main.cpp
 )
kde4_ADD_EXECUTABLE(skroogeconvert ${skroogeconvert_SRCS})

TARGET_LINK_LIBRARIES(skroogeconvert ${KDE4_KDEUI_LIBS} skgbasemodeler skgbankmodeler)

########### install files ###############
INSTALL(TARGETS skroogeconvert ${INSTALL_TARGETS_DEFAULT_ARGS} )
