=== debian/changelog ===
skrooge (1.3.0-1) unstable; urgency=low

  * New upstream release 
    - Fixes "Skrooge crashes when selecting report" (Closes: #660325)

 -- Mark Purcell <msp@debian.org>  Sun, 06 May 2012 16:26:26 +1000
