## skrooge 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,19 @@
+#***************************************************************************
+#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
+#*                                                                         *
+#*   This program is free software; you can redistribute it and/or modify  *
+#*   it under the terms of the GNU General Public License as published by  *
+#*   the Free Software Foundation; either version 2 of the License, or     *
+#*   (at your option) any later version.                                   *
+#*                                                                         *
+#*   This program is distributed in the hope that it will be useful,       *
+#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
+#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
+#*   GNU General Public License for more details.                          *
+#*                                                                         *
+#*   You should have received a copy of the GNU General Public License     *
+#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
+#***************************************************************************
 MESSAGE( STATUS "..:: CMAKE ROOT ::..")
 
 PROJECT(skrooge)
@@ -52,7 +68,7 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "1.3.0")
+SET(SKG_VERSION "1.3.3")
 SET(SKG_BETA "")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
