=== po/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 add_subdirectory(cs)
 add_subdirectory(nb)
 add_subdirectory(sk)
+add_subdirectory(fi)
 add_subdirectory(fr)
 add_subdirectory(nds)
 add_subdirectory(it)
