=== plugins/applet/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
add_subdirectory(advice)

add_subdirectory(bank)
add_subdirectory(unit)
add_subdirectory(account)

add_subdirectory(tipsoftheday)
add_subdirectory(highlightedoperation)
add_subdirectory(report)
add_subdirectory(scheduledoperation)

add_subdirectory(advice-qml)

add_subdirectory(incomeexpenditure)
add_subdirectory(simulation)
add_subdirectory(alarm)
