=== plugins/generic/skg_bookmark/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_BOOKMARK ::..")

PROJECT(plugin_bookmark)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_bookmark_SRCS skgbookmarkplugin.cpp skgbookmarkplugindockwidget.cpp)

kde4_add_ui_files(skg_bookmark_SRCS skgbookmarkplugindockwidget_base.ui skgbookmarkpluginwidget_pref.ui)

kde4_add_kcfg_files(skg_bookmark_SRCS skgbookmark_settings.kcfgc )

kde4_add_plugin(skg_bookmark ${skg_bookmark_SRCS})
TARGET_LINK_LIBRARIES(skg_bookmark ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui )

########### install files ###############
INSTALL(TARGETS skg_bookmark DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgbookmark_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-bookmark.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_bookmark.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_bookmark )
