=== debian/changelog ===
skrooge (1.3.3-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 08 Sep 2012 16:19:46 +1000
