=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.0),
-               debhelper (>= 8.1.0),
+               debhelper (>= 9),
                kdelibs5-dev (>= 4:4.4.4),
                libgrantlee-dev,
                libofx-dev,
